<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Http\Controllers\Frontend;

use Illuminate\Contracts\View\View;
use Seka\Portal\Modul\Terminy\Http\Controllers\Controller;

/**
 * Class TerminyController
 *
 * @package Seka\Portal\Modul\Terminy\Http\Controllers\Frontend
 */
final class TerminyController extends Controller
{
    /**
     * @return \Illuminate\Contracts\View\View
     * @throws \Illuminate\Auth\Access\AuthorizationException
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function index(): View
    {
        $this->authorize('terminy.zobrazit');

        return view('Terminy::pages.modul.frontend.index');
    }
}
